@ECHO OFF
CLS
:LOOP
ECHO Starting El Aurens Setup Output Log > EASetupLog.txt
ECHO. >> EASetupLog.txt
ECHO This batch file replaces graphic files in the ToT Original folder >> EASetupLog.txt
ECHO with custom files.  Before replacement, the original files will  >> EASetupLog.txt
ECHO be backed up in the Restore directory. >> EASetupLog.txt
ECHO. >> EASetupLog.txt
ECHO When you're Done with the scenario and would like to restore >> EASetupLog.txt
ECHO ToT to its previous condition, run the RESTORE.BAT procedure. >> EASetupLog.txt
ECHO. >> EASetupLog.txt
ECHO DISCLAIMER: You run this procedure at you own risk. >> EASetupLog.txt
ECHO. >> EASetupLog.txt
ECHO Starting El Aurens Setup Output Log
ECHO.
ECHO This batch file replaces graphic files in the ToT Original folder
ECHO with custom files.  Before replacement, the original files will
ECHO be backed up in the Restore directory.
ECHO.
ECHO When you've completed the scenario and would like to restore
ECHO ToT to its previous condition, run the EAv2_TOT_RESTORE.BAT procedure.
ECHO.
ECHO DISCLAIMER: You run this procedure at you own risk.
ECHO.
IF NOT %1.==. ECHO %1
IF %1.==c. GOTO MkDirRestore
ECHO. 
ECHO Press c to Continue
ECHO Press x to eXit
ECHO. 
:: SET /P prompts for input and sets the variable
:: to whatever the user TYPEs
SET Choice=
SET /P Choice=TYPE "c" or "x" and press Enter: 
:: The syntax in the next line extracts the substring
:: starting at 0 (the beginning) and 1 character long
IF NOT '%Choice%'=='' SET Choice=%Choice:~0,1%
ECHO.
:: /I makes the IF comparison case-insensitive
IF /I '%Choice%'=='c' GOTO MkDirRestore
IF /I '%Choice%'=='x' GOTO Abort
ECHO "%Choice%" is not valid. Please try again.
ECHO.
GOTO Loop

:MkDirRestore
IF NOT EXIST Restore\*.* MKDIR Restore >> EASetupLog.txt

:Dialog
IF EXIST ..\..\..\Original\Dialog.Bmp GOTO Dialog3
IF EXIST ..\..\Original\Dialog.Bmp GOTO Dialog2
IF EXIST ..\Original\Dialog.Bmp GOTO Dialog1
GOTO MajorError2

:Dialog1
IF NOT EXIST Restore\Dialog.Bmp ECHO Backing up Dialog.Bmp >> EASetupLog.txt
IF NOT EXIST Restore\Dialog.Bmp COPY ..\Original\Dialog.Bmp Restore >> EASetupLog.txt
IF EXIST Restore\Dialog.Bmp ECHO Installing Dialog.Bmp >> EASetupLog.txt
IF EXIST Restore\Dialog.Bmp COPY Dialog.Bmp ..\Original >> EASetupLog.txt
GOTO City

:Dialog2
IF NOT EXIST Restore\Dialog.Bmp ECHO Backing up Dialog.Bmp >> EASetupLog.txt
IF NOT EXIST Restore\Dialog.Bmp COPY ..\..\Original\Dialog.Bmp Restore >> EASetupLog.txt
IF EXIST Restore\Dialog.Bmp ECHO Installing Dialog.Bmp >> EASetupLog.txt
IF EXIST Restore\Dialog.Bmp COPY Dialog.Bmp ..\..\Original >> EASetupLog.txt
GOTO City

:Dialog3
IF NOT EXIST Restore\Dialog.Bmp ECHO Backing up Dialog.Bmp >> EASetupLog.txt
IF NOT EXIST Restore\Dialog.Bmp COPY ..\..\..\Original\Dialog.Bmp Restore >> EASetupLog.txt
IF EXIST Restore\Dialog.Bmp ECHO Installing Dialog.Bmp >> EASetupLog.txt
IF EXIST Restore\Dialog.Bmp COPY Dialog.Bmp ..\..\..\Original >> EASetupLog.txt
GOTO City

:City
IF EXIST ..\..\..\Original\City.Bmp GOTO City3
IF EXIST ..\..\Original\City.Bmp GOTO City2
IF EXIST ..\Original\City.Bmp GOTO City1
GOTO MajorError2

:City1
IF NOT EXIST Restore\City.Bmp ECHO Backing up City.Bmp >> EASetupLog.txt
IF NOT EXIST Restore\City.Bmp COPY ..\Original\City.Bmp Restore >> EASetupLog.txt
IF EXIST Restore\City.Bmp ECHO Installing City.Bmp >> EASetupLog.txt
IF EXIST Restore\City.Bmp COPY City.Bmp ..\Original >> EASetupLog.txt
GOTO CivWin

:City2
IF NOT EXIST Restore\City.Bmp ECHO Backing up City.Bmp >> EASetupLog.txt
IF NOT EXIST Restore\City.Bmp COPY ..\..\Original\City.Bmp Restore >> EASetupLog.txt
IF EXIST Restore\City.Bmp ECHO Installing City.Bmp >> EASetupLog.txt
IF EXIST Restore\City.Bmp COPY City.Bmp ..\..\Original >> EASetupLog.txt
GOTO CivWin

:City3
IF NOT EXIST Restore\City.Bmp ECHO Backing up City.Bmp >> EASetupLog.txt
IF NOT EXIST Restore\City.Bmp COPY ..\..\..\Original\City.Bmp Restore >> EASetupLog.txt
IF EXIST Restore\City.Bmp ECHO Installing City.Bmp >> EASetupLog.txt
IF EXIST Restore\City.Bmp COPY City.Bmp ..\..\..\Original >> EASetupLog.txt
GOTO CivWin

:CivWin
IF EXIST ..\..\..\Original\CivWin_back.Bmp GOTO CivWin3
IF EXIST ..\..\Original\CivWin_back.Bmp GOTO CivWin2
IF EXIST ..\Original\CivWin_back.Bmp GOTO CivWin1
GOTO MajorError2

:CivWin1
IF NOT EXIST Restore\CivWin_back.Bmp ECHO Backing up CivWin_back.Bmp >> EASetupLog.txt
IF NOT EXIST Restore\CivWin_back.Bmp COPY ..\Original\CivWin_back.Bmp Restore >> EASetupLog.txt
IF EXIST Restore\CivWin_back.Bmp ECHO Installing CivWin_back.Bmp >> EASetupLog.txt
IF EXIST Restore\CivWin_back.Bmp COPY CivWin_back.Bmp ..\Original >> EASetupLog.txt
GOTO Mk

:CivWin2
IF NOT EXIST Restore\CivWin_back.Bmp ECHO Backing up CivWin_back.Bmp >> EASetupLog.txt
IF NOT EXIST Restore\CivWin_back.Bmp COPY ..\..\Original\CivWin_back.Bmp Restore >> EASetupLog.txt
IF EXIST Restore\CivWin_back.Bmp ECHO Installing CivWin_back.Bmp >> EASetupLog.txt
IF EXIST Restore\CivWin_back.Bmp COPY CivWin_back.Bmp ..\..\Original >> EASetupLog.txt
GOTO Mk

:CivWin3
IF NOT EXIST Restore\CivWin_back.Bmp ECHO Backing up CivWin_back.Bmp >> EASetupLog.txt
IF NOT EXIST Restore\CivWin_back.Bmp COPY ..\..\..\Original\CivWin_back.Bmp Restore >> EASetupLog.txt
IF EXIST Restore\CivWin_back.Bmp ECHO Installing CivWin_back.Bmp >> EASetupLog.txt
IF EXIST Restore\CivWin_back.Bmp COPY CivWin_back.Bmp ..\..\..\Original >> EASetupLog.txt
GOTO Mk

:Mk
IF EXIST ..\..\..\Mk.Dll GOTO Mk3
IF EXIST ..\..\Mk.Dll GOTO Mk2
IF EXIST ..\Mk.Dll GOTO Mk1
GOTO MajorError2

:Mk1
IF NOT EXIST Restore\Mk.Dll ECHO Backing up Mk.Dll >> EASetupLog.txt
IF NOT EXIST Restore\Mk.Dll COPY ..\Mk.Dll Restore >> EASetupLog.txt
IF EXIST Restore\Mk.Dll ECHO Installing Mk.Dll >> EASetupLog.txt
IF EXIST Restore\Mk.Dll COPY Mk.Dll .. >> EASetupLog.txt
GOTO SS

:Mk2
IF NOT EXIST Restore\Mk.Dll ECHO Backing up Mk.Dll >> EASetupLog.txt
IF NOT EXIST Restore\Mk.Dll COPY ..\..\Mk.Dll Restore >> EASetupLog.txt
IF EXIST Restore\Mk.Dll ECHO Installing Mk.Dll >> EASetupLog.txt
IF EXIST Restore\Mk.Dll COPY Mk.Dll ..\.. >> EASetupLog.txt
GOTO SS

:Mk3
IF NOT EXIST Restore\Mk.Dll ECHO Backing up Mk.Dll >> EASetupLog.txt
IF NOT EXIST Restore\Mk.Dll COPY ..\..\..\Mk.Dll Restore >> EASetupLog.txt
IF EXIST Restore\Mk.Dll ECHO Installing Mk.Dll >> EASetupLog.txt
IF EXIST Restore\Mk.Dll COPY Mk.Dll ..\..\.. >> EASetupLog.txt
GOTO SS

:SS
IF EXIST ..\..\..\SS.Dll GOTO SS3
IF EXIST ..\..\SS.Dll GOTO SS2
IF EXIST ..\SS.Dll GOTO SS1
GOTO MajorError2

:SS1
IF NOT EXIST Restore\SS.Dll ECHO Backing up SS.Dll >> EASetupLog.txt
IF NOT EXIST Restore\SS.Dll COPY ..\SS.Dll Restore >> EASetupLog.txt
IF EXIST Restore\SS.Dll ECHO Installing SS.Dll >> EASetupLog.txt
IF EXIST Restore\SS.Dll COPY SS.Dll .. >> EASetupLog.txt
GOTO Tiles

:SS2
IF NOT EXIST Restore\SS.Dll ECHO Backing up SS.Dll >> EASetupLog.txt
IF NOT EXIST Restore\SS.Dll COPY ..\..\SS.Dll Restore >> EASetupLog.txt
IF EXIST Restore\SS.Dll ECHO Installing SS.Dll >> EASetupLog.txt
IF EXIST Restore\SS.Dll COPY SS.Dll ..\.. >> EASetupLog.txt
GOTO Tiles

:SS3
IF NOT EXIST Restore\SS.Dll ECHO Backing up SS.Dll >> EASetupLog.txt
IF NOT EXIST Restore\SS.Dll COPY ..\..\..\SS.Dll Restore >> EASetupLog.txt
IF EXIST Restore\SS.Dll ECHO Installing SS.Dll >> EASetupLog.txt
IF EXIST Restore\SS.Dll COPY SS.Dll ..\..\.. >> EASetupLog.txt
GOTO Tiles

:Tiles
IF EXIST ..\..\..\Tiles.Dll GOTO Tiles3
IF EXIST ..\..\Tiles.Dll GOTO Tiles2
IF EXIST ..\Tiles.Dll GOTO Tiles1
GOTO MajorError2

:Tiles1
IF NOT EXIST Restore\Tiles.Dll ECHO Backing up Tiles.Dll >> EASetupLog.txt
IF NOT EXIST Restore\Tiles.Dll COPY ..\Tiles.Dll Restore >> EASetupLog.txt
IF EXIST Restore\Tiles.Dll ECHO Installing Tiles.Dll >> EASetupLog.txt
IF EXIST Restore\Tiles.Dll COPY Tiles.Dll .. >> EASetupLog.txt
GOTO Intro

:Tiles2
IF NOT EXIST Restore\Tiles.Dll ECHO Backing up Tiles.Dll >> EASetupLog.txt
IF NOT EXIST Restore\Tiles.Dll COPY ..\..\Tiles.Dll Restore >> EASetupLog.txt
IF EXIST Restore\Tiles.Dll ECHO Installing Tiles.Dll >> EASetupLog.txt
IF EXIST Restore\Tiles.Dll COPY Tiles.Dll ..\.. >> EASetupLog.txt
GOTO Intro

:Tiles3
IF NOT EXIST Restore\Tiles.Dll ECHO Backing up Tiles.Dll >> EASetupLog.txt
IF NOT EXIST Restore\Tiles.Dll COPY ..\..\..\Tiles.Dll Restore >> EASetupLog.txt
IF EXIST Restore\Tiles.Dll ECHO Installing Tiles.Dll >> EASetupLog.txt
IF EXIST Restore\Tiles.Dll COPY Tiles.Dll ..\..\.. >> EASetupLog.txt
GOTO Intro

:Intro
IF EXIST ..\..\..\Intro.Dll GOTO Intro3
IF EXIST ..\..\Intro.Dll GOTO Intro2
IF EXIST ..\Intro.Dll GOTO Intro1
GOTO MajorError2

:Intro1
IF NOT EXIST Restore\Intro.Dll ECHO Backing up Intro.Dll >> EASetupLog.txt
IF NOT EXIST Restore\Intro.Dll COPY ..\Intro.Dll Restore >> EASetupLog.txt
IF EXIST Restore\Intro.Dll ECHO Installing Intro.Dll >> EASetupLog.txt
IF EXIST Restore\Intro.Dll COPY Intro.Dll .. >> EASetupLog.txt
GOTO Done

:Intro2
IF NOT EXIST Restore\Intro.Dll ECHO Backing up Intro.Dll >> EASetupLog.txt
IF NOT EXIST Restore\Intro.Dll COPY ..\..\Intro.Dll Restore >> EASetupLog.txt
IF EXIST Restore\Intro.Dll ECHO Installing Intro.Dll >> EASetupLog.txt
IF EXIST Restore\Intro.Dll COPY Intro.Dll ..\.. >> EASetupLog.txt
GOTO Done

:Intro3
IF NOT EXIST Restore\Intro.Dll ECHO Backing up Intro.Dll >> EASetupLog.txt
IF NOT EXIST Restore\Intro.Dll COPY ..\..\..\Intro.Dll Restore >> EASetupLog.txt
IF EXIST Restore\Intro.Dll ECHO Installing Intro.Dll >> EASetupLog.txt
IF EXIST Restore\Intro.Dll COPY Intro.Dll ..\..\.. >> EASetupLog.txt
GOTO Done

:Done
ECHO. >> EASetupLog.txt
ECHO El Aurens' Dll and Bmp files copied to ToT folders. >> EASetupLog.txt
TYPE EASetupLog.txt
REM ECHO.
REM ECHO Press any key to close window.
REM PAUSE > nul
EXIT

:abort
ECHO. >> EASetupLog.txt
ECHO Procedure cancelled. >> EASetupLog.txt
TYPE EASetupLog.txt
REM ECHO.
REM ECHO Press any key to close window.
REM PAUSE > nul
EXIT

:MajorError2
ECHO. >> EASetupLog.txt
ECHO The ToT Original directory could not be found. >> EASetupLog.txt
TYPE EASetupLog.txt
REM ECHO.
REM ECHO Press any key to close window.
REM PAUSE > nul
EXIT
